import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DeleteMobileDeviceAccessOverrideCommand, se_DeleteMobileDeviceAccessOverrideCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class DeleteMobileDeviceAccessOverrideCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "DeleteMobileDeviceAccessOverride", {})
    .n("WorkMailClient", "DeleteMobileDeviceAccessOverrideCommand")
    .f(void 0, void 0)
    .ser(se_DeleteMobileDeviceAccessOverrideCommand)
    .de(de_DeleteMobileDeviceAccessOverrideCommand)
    .build() {
}
