import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { TestAvailabilityConfigurationRequestFilterSensitiveLog, } from "../models/models_0";
import { de_TestAvailabilityConfigurationCommand, se_TestAvailabilityConfigurationCommand, } from "../protocols/Aws_json1_1";
export { $Command };
export class TestAvailabilityConfigurationCommand extends $Command
    .classBuilder()
    .ep({
    ...commonParams,
})
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "TestAvailabilityConfiguration", {})
    .n("WorkMailClient", "TestAvailabilityConfigurationCommand")
    .f(TestAvailabilityConfigurationRequestFilterSensitiveLog, void 0)
    .ser(se_TestAvailabilityConfigurationCommand)
    .de(de_TestAvailabilityConfigurationCommand)
    .build() {
}
